QImageFormat(3qt)

NAME
QImageFormat - Incremental image decoder for a specific image format

SYNOPSIS
#include <qasyncimageio.h>

  Public Members
virtual int decode ( QImage & img, QImageConsumer * consumer, const uchar * buffer, int length ) = 0

DESCRIPTION
The QImageFormat class is an incremental image decoder for a specific image format.

By making a derived class of QImageFormatType, which in turn creates objects that are a subclass of QImageFormat, you can add support for more incremental image formats, allowing such formats to be sources for a QMovie or for the first frame of the image stream to be loaded as a QImage or QPixmap.

Your new subclass must reimplement the decode() function in order to process your new format.

New QImageFormat objects are generated by new QImageFormatType factories.

See also Graphics Classes, Image Processing Classes and Multimedia Classes.

MEMBER FUNCTION DOCUMENTATION

int QImageFormat::decode ( QImage & img, QImageConsumer * consumer, const uchar * buffer, int length ) [pure virtual]
New subclasses must reimplement this method.

It should decode some or all of the bytes from buffer into img, calling the methods of consumer as the decoding proceeds to inform that consumer of changes to the image. The length of the data is given in length. The consumer may be 0, in which case the function should just process the data into img without telling any consumer about the changes. Note that the decoder must store enough state to be able to continue in subsequent calls to this method - this is the essence of the incremental image loading.

The function should return without processing all the data if it reaches the end of a frame in the input.

The function must return the number of bytes it has processed.

SEE ALSO
http://doc.trolltech.com/qimageformat.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qimageformat.3qt) and the Qt version (3.0.4).